events.listen("recipes", function (e) {
  //fonction pour le concasseur de create
  function EssenceInMilling(Type, item) {
    e.custom({
      type: "create:milling",
      ingredients: [
        {
          item: Type + ":" + item + "_seeds",
        },
      ],
      results: [
        {
          item: Type + ":" + item + "_essence",
          count: 2,
        },
        {
          item: Type + ":" + item + "_essence",
          chance: 1,
        },
      ],
      processingTime: 50,
    });
  }

  EssenceInMilling("mysticalagriculture", "blazing_crystal");
  EssenceInMilling("mysticalagriculture", "energized_steel");
  EssenceInMilling("mysticalagriculture", "fluix");
  EssenceInMilling("mysticalagriculture", "compressed_iron");
  EssenceInMilling("mysticalagriculture", "spirited_crystal");
  EssenceInMilling("mysticalagriculture", "uraninite");
  EssenceInMilling("mysticalagriculture", "alfstein");
  EssenceInMilling("mysticalagriculture", "tanium");
  EssenceInMilling("mysticalagriculture", "awakened_draconium");
  EssenceInMilling("mysticalagriculture", "nitro_crystal");
  EssenceInMilling("mysticalagriculture", "steeleaf");
  EssenceInMilling("mysticalagriculture", "pig_iron");
  EssenceInMilling("mysticalagriculture", "slimesteel");
  EssenceInMilling("mysticalagriculture", "tinkers_bronze");
  EssenceInMilling("mysticalagriculture", "basalt");
  EssenceInMilling("mysticalagriculture", "limestone");
  EssenceInMilling("mysticalagriculture", "marble");
  EssenceInMilling("mysticalagriculture", "ruby");
  EssenceInMilling("mysticalagriculture", "sapphire");
  EssenceInMilling("mysticalagriculture", "hop_graphite");
  EssenceInMilling("mysticalagriculture", "cobalt");
  EssenceInMilling("mysticalagriculture", "rose_gold");
  EssenceInMilling("mysticalagriculture", "osmium");
  EssenceInMilling("mysticalagriculture", "fluorite");
  EssenceInMilling("mysticalagriculture", "refined_glowstone");
  EssenceInMilling("mysticalagriculture", "refined_obsidian");
  EssenceInMilling("mysticalagriculture", "knightmetal");
  EssenceInMilling("mysticalagriculture", "fiery_ingot");
  EssenceInMilling("mysticalagriculture", "starmetal");
  EssenceInMilling("mysticalagriculture", "niotic_crystal");
  EssenceInMilling("mysticalagriculture", "cyanite");
  EssenceInMilling("mysticalagriculture", "yellorium");
  EssenceInMilling("mysticalagriculture", "draconium");
  EssenceInMilling("mysticalagriculture", "rock_crystal");
  EssenceInMilling("mysticalagriculture", "hepatizon");
  EssenceInMilling("mysticalagriculture", "queens_slime");
  EssenceInMilling("mysticalagriculture", "manyullyn");
  EssenceInMilling("mysticalagriculture", "certus_quartz");
  EssenceInMilling("mysticalagriculture", "sky_stone");
  EssenceInMilling("mysticalagriculture", "aquamarine");
  EssenceInMilling("mysticalagriculture", "ender_biotite");
  EssenceInMilling("mysticalagriculture", "ironwood");
});
